/**  Marquee Demo Stack v1.3.0 by Stack-Its  last update: 4.2015
*/
/* jQuery Browser - v0.1.0 - 3/23/2012
* https://github.com/jquery/jquery-browser
* Copyright (c) 2012 John Resig; Licensed MIT
*/
(function($) {
  var matched,
  userAgent = navigator.userAgent || "";
  // More details: http://api.jquery.com/jQuery.browser
  // jQuery.uaMatch maintained for back-compat
  $.uaMatch = function( ua ) {
    ua = ua.toLowerCase();
    var match = /(chrome)[ \/]([\w.]+)/.exec( ua ) ||
      /(webkit)[ \/]([\w.]+)/.exec( ua ) ||
      /(opera)(?:.*version)?[ \/]([\w.]+)/.exec( ua ) ||
      /(msie) ([\w.]+)/.exec( ua ) ||
      ua.indexOf("compatible") < 0 && /(mozilla)(?:.*? rv:([\w.]+))?/.exec( ua ) ||
      [];
    return {
      browser: match[ 1 ] || "",
      version: match[ 2 ] || "0"};
  };
  matched = $.uaMatch( userAgent );
  $.browser = {};
  if ( matched.browser ) {
    $.browser[ matched.browser ] = true;
    $.browser.version = matched.version}
  // Deprecated, use jQuery.browser.webkit instead  Maintained for back-compatibility only
  if ( $.browser.webkit ) {
    $.browser.safari = true}
}(jQuery));
/* End jQuery Browser */ 
$(window).load(function() {
  /* Begin Mobile iOS & Android Console */
  /* mobile-console.log by gorbiz - Open Source: http://github.com/gorbiz */
  function isMobile() {
    var useragent = navigator.userAgent;
    return useragent.indexOf('Android') != -1
      || useragent.indexOf('iPhone') != -1
      || useragent.indexOf('iPod') != -1
      || useragent.indexOf('iPad') != -1}
  /* End Mobile Console */
  /* Begin responsive settings */
  var delay = (function() {
    var timer = 0;
    return function(callback, ms) {
      clearTimeout (timer);
      timer = setTimeout(callback, ms)};
  })();
  var mfix = 'true';
  function chOrient() {
    var pause = 500; /* checks every 500ms */
    delay(function() {
      var dwidth = window.orientation == 0 ? window.screen.width : window.screen.height; // for iOS
      if ($.browser.msie) {var dwidth = window.screen.width}  // for IE Desktop
      var dratio = window.devicePixelRatio;
      if ($.browser.msie) {var dratio = 1}
      dwidth = dwidth * dratio;
      if (navigator.userAgent.indexOf('Android') >= 0 && window.devicePixelRatio) {dwidth = screen.width} // for Android
      var avwd = $('#marqueewrapper_%id%')[0].offsetWidth * dratio;
      var outwd = $('#marqueewrapper_%id%').parent()[0].offsetWidth * dratio;
      var lgsc = 'false';
      /* ******** TOO LARGE ADJUST ********* */
      if (avwd > outwd) { // wrapper larger than body width
        lgsc = 'true';
        var fac = outwd / avwd;
        var nwdl = Math.floor(avwd * fac);
        $('#marqueewrapper_%id%').css({'width': nwdl + 'px'});
        avwd = nwdl;
      }
      /* ******** TOO SMALL ADJUST ********* */
      var scaleck = avwd / outwd;
      if (scaleck < .88) {
        outwd = $('#marqueewrapper_%id%').parent()[0].offsetWidth * dratio;
        fac = outwd / avwd;
        var nwd = avwd * fac;
        var nwds = Math.floor(nwd);
        avwd = nwds;
        $('#marqueewrapper_%id%').css({'width': nwds + 'px'});
      }
      /*   ********  RATIO 1 VARIABLES   ******* */
      if (dratio == 1) {avwd = avwd - 4;
        var bwd = 100 * (%id=maingroups% * 2 * %id=bordwd% + 4) / avwd;
        if (isMobile()) {var bwd = 100 * (%id=maingroups% * 2 * Math.round(%id=bordwd% * .5) + 4) / avwd}
      }  
      /*   ********  RATIO NOT 1 VARIABLES   ******* */
      if (dratio != 1) {
        avwd = avwd - 8;
        var bwd = 100 * (%id=maingroups% * 2 * %id=bordwd% + 8) / avwd;
      }
      
      /* ********** MOBILE BORDER & RADIUS ADJUST *********** */
      if (isMobile() && dwidth > 640 && dratio == 1) {
        bwd = 100 * (%id=maingroups% * 2 * %id=bordwd% + 4) / avwd;
      }
      if (isMobile() && dwidth > 640 && dratio != 1) {
        var htxtsz = .8 * %id=alltextsize%;
        var stxtsz = .9 * %id=alltextsize%;
        var ftxtsz = .8 * %id=alltextsize%;
        $('#marqueewrapper_%id% li.itemheader_%id%').css({'font-size': htxtsz + '%'});
        $('#marqueewrapper_%id% li[class^="featurelist"]').css({'font-size': ftxtsz + '%'});
        $('#marqueewrapper_%id% .signup_%id%, li.moreinfo%id=highlight%_%id%').css({'font-size': stxtsz + '%'});
        bwd =  dratio * dratio * 100 * (%id=maingroups% * 2 * Math.round(%id=bordwd% * .5) + 8) / avwd;
      }
      if (isMobile() && dwidth <= 640) {
        if (mfix == "true") {
          var htxtsz = .6 * %id=alltextsize%;
          var stxtsz = .7 * %id=alltextsize%;
          var ftxtsz = .55 * %id=alltextsize%;
          $('#marqueewrapper_%id% li.itemheader_%id%').css({'font-size': htxtsz + '%'});
          $('#marqueewrapper_%id% li[class^="featurelist"]').css({'font-size': ftxtsz + '%'});
          $('#marqueewrapper_%id% .signup_%id%, li.moreinfo%id=highlight%_%id%').css({'font-size': stxtsz + '%'});
          if ("%id=moveprpanel%" == "No" && dratio != 1) {$('#item0_%id% ul li.itemheader_%id%, #item1_%id% ul li.itemheader_%id%, #item2_%id% ul li.itemheader_%id%, #item3_%id% ul li.itemheader_%id%, #item4_%id% ul li.itemheader_%id%').css({'margin-top': '-15px'})}
          /*   ********  SMALL MOBILE PIXEL RATIO 1 VARIABLES   ******* */
          var mbr = Math.round(parseInt($('#item0_%id%').css('border-width'),10) * .5);
          var mhbr = Math.round(parseInt($('#item0_%id% ul li.itemheader_%id%').css('border-width'),10) * .5);
          var mmrad = %id=cornrad% - (%id=bordwd% * .5);
          var mhrad = %id=cornrad% - 3 - (%id=bordwd% * .5);
          mfix = "false";
          /*   ********  SMALL MOBILE PIXEL RATIO NOT 1 VARIABLES   ******* */
          if (dratio != 1) {
            bwd = 100 * (%id=maingroups% * 2 * Math.round(%id=bordwd% * .25) + 8) / (avwd / dratio);
            mbr = Math.round(parseInt($('#item0_%id%').css('border-width'),10) * .25);
            mhbr = Math.round(parseInt($('#item0_%id% ul li.itemheader_%id%').css('border-width'),10) * .25);
            mmrad = %id=cornrad% - (mbr * 2.25);
            mhrad = parseInt($('#item0_%id% ul li.itemheader_%id% .tagline_%id%').css('border-bottom-left-radius'),10) + mbr - 1;
            mmhlrad = Math.round(parseInt($('#item%id=highlight%_%id%.highlight%id=highlight%_%id%').css('border-radius'),10) * .5 + mbr);
            $('.highlight%id=highlight%_%id%').css({'-webkit-border-radius': mmhlrad + 'px', '-moz-border-radius': mmhlrad + 'px', 'border-radius': mmhlrad + 'px'});
            $('#item%id=highlight%_%id% ul li.itemheader_%id% .tagline_%id%').css({'-webkit-border-bottom-left-radius': mhrad + 'px', '-moz-border-radius-bottomleft': mhrad + 'px', 'border-bottom-left-radius': mhrad + 'px', '-webkit-border-bottom-right-radius': mhrad + 'px', '-moz-border-radius-bottomright': mhrad + 'px', 'border-bottom-right-radius': mhrad + 'px'});
            $('#item0_%id% ul li.itemheader_%id% .name_%id%, #item1_%id% ul li.itemheader_%id% .name_%id%, #item2_%id% ul li.itemheader_%id% .name_%id%, #item3_%id% ul li.itemheader_%id% .name_%id%, #item4_%id% ul li.itemheader_%id% .name_%id%').css({'padding-top': '7px', 'padding-bottom': '7px'});
          }
          $('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%, #item4_%id%, .moreinfo%id=highlight%_%id%, #info_%id%').css({'border-width': mbr + 'px'});
          $('#item0_%id%').css({'-webkit-border-top-left-radius': mmrad + 'px', '-webkit-border-bottom-left-radius': mmrad + 'px', '-moz-border-radius-topleft': mmrad + 'px', '-moz-border-radius-bottomleft': mmrad + 'px', 'border-top-left-radius': mmrad + 'px', 'border-bottom-left-radius': mmrad + 'px'});
          $('#item%(%id=maingroups% - 1)%_%id%').css({'-webkit-border-top-right-radius': mmrad + 'px', '-webkit-border-bottom-right-radius': mmrad + 'px', '-moz-border-radius-topright': mmrad + 'px', '-moz-border-radius-bottomright': mmrad + 'px', 'border-top-right-radius': mmrad + 'px', 'border-bottom-right-radius': mmrad + 'px'});
          $('#item0_%id% ul li.itemheader_%id%, #item1_%id% ul li.itemheader_%id%, #item2_%id% ul li.itemheader_%id%, #item3_%id% ul li.itemheader_%id%, #item4_%id% ul li.itemheader_%id%').css({'border-width': mhbr + 'px', '-webkit-border-radius': mhrad + 'px', '-moz-border-radius': mhrad + 'px', 'border-radius': mhrad + 'px'});
        }
      }
      if (dratio != 1) {$('#marqueewrapper_%id%').css({'padding-right': '2px'})}
      var perwd = (99.5 - bwd) / %id=maingroups%;
      if (dratio != 1) {perwd = perwd / dratio}
      if ("%id=maingroups%" == "1") {$('#item0_%id%').css({'width': perwd + '%'})}
      if ("%id=maingroups%" == "2") {$('#item0_%id%, #item1_%id%').css({'width': perwd + '%'})}
      if ("%id=maingroups%" == "3") {$('#item0_%id%, #item1_%id%, #item2_%id%').css({'width': perwd + '%'})}
      if ("%id=maingroups%" == "4") {$('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%').css({'width': perwd + '%'})}
      if ("%id=maingroups%" == "5") {$('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%, #item4_%id%').css({'width': perwd + '%'})}
      var outwd0 = $('#item0_%id%').outerWidth();
      var outwd1 = $('#item1_%id%').outerWidth();
      var outwd2 = $('#item2_%id%').outerWidth();
      var outwd3 = $('#item3_%id%').outerWidth();
      var outwd4 = $('#item4_%id%').outerWidth();
      if ("%id=maingroups%" == "4") {outwd4 = 0}
      if ("%id=maingroups%" == "3") {outwd4 = 0; outwd3 = 0}
      if ("%id=maingroups%" == "2") {outwd4 = 0; outwd3 = 0; outwd2 = 0}
      if ("%id=maingroups%" == "1") {
        outwd4 = 0; outwd3 = 0; outwd2 = 0; outwd1 = 0;
        $("#item0_%id%").css({'-webkit-border-radius': '%id=cornrad%px', '-moz-border-radius': '%id=cornrad%px', 'border-radius': '%id=cornrad%px'})}
      /* Begin currency on rt */
      if ("%id=currrt%" == "inline") {
        $('#item0_%id% .pricecenter_%id%').append($('#item0_%id% .currency_%id%'));
        $('#item1_%id% .pricecenter_%id%').append($('#item1_%id% .currency_%id%'));
        $('#item2_%id% .pricecenter_%id%').append($('#item2_%id% .currency_%id%'));
        $('#item3_%id% .pricecenter_%id%').append($('#item3_%id% .currency_%id%'));
        $('#item4_%id% .pricecenter_%id%').append($('#item4_%id% .currency_%id%'));
        $('#item0_%id% .currency_%id%, #item1_%id% .currency_%id%, #item2_%id% .currency_%id%, #item3_%id% .currency_%id%, #item4_%id% .currency_%id%').css({'padding-left': '2px'});
        var cr = 2}
      else {var cr = 0}
      /* End currency on rt */
      /* Begin all panels pricecenter sizing */
      var currwd0 = $('#item0_%id% .currency_%id%').width();
      var prwd0 = $('#item0_%id% .price_%id%').width();
      $('#item0_%id% .pricecenter_%id%').css({'width': (currwd0 + prwd0 + 2 + cr) + 'px'});
      var prcwd0 =  $('#item0_%id% .pricecenter_%id%').width();
      var pnlwd0 = $('#item0_%id% .pricewrap_%id%').width();
      if (prcwd0 >= pnlwd0) {var prsz0 = Math.floor(parseInt($('#item0_%id% .price_%id%').css('font-size')) * .8); $('#item0_%id% .price_%id%').css({'font-size': prsz0 + 'px'})}
      var currwd1 = $('#item1_%id% .currency_%id%').width();
      var prwd1 = $('#item1_%id% .price_%id%').width();
      $('#item1_%id% .pricecenter_%id%').css({'width': (currwd1 + prwd1 + 2 + cr) + 'px'});
      var prcwd1 =  $('#item1_%id% .pricecenter_%id%').width();
      var pnlwd1 = $('#item1_%id% .pricewrap_%id%').width();
      if (prcwd1 >= pnlwd1) {var prsz1 = Math.floor(parseInt($('#item1_%id% .price_%id%').css('font-size')) * .8); $('#item1_%id% .price_%id%').css({'font-size': prsz1 + 'px'})}
      var currwd2 = $('#item2_%id% .currency_%id%').width();
      var prwd2 = $('#item2_%id% .price_%id%').width();
      $('#item2_%id% .pricecenter_%id%').css({'width': (currwd2 + prwd2 + 2 + cr) + 'px'});
      var prcwd2 =  $('#item2_%id% .pricecenter_%id%').width();
      var pnlwd2 = $('#item2_%id% .pricewrap_%id%').width();
      if (prcwd2 >= pnlwd2) {var prsz2 = Math.floor(parseInt($('#item2_%id% .price_%id%').css('font-size')) * .8); $('#item2_%id% .price_%id%').css({'font-size': prsz2 + 'px'})}
      var currwd3 = $('#item3_%id% .currency_%id%').width();
      var prwd3 = $('#item3_%id% .price_%id%').width();
      $('#item3_%id% .pricecenter_%id%').css({'width': (currwd3 + prwd3 + 2 + cr) + 'px'});
      var prcwd3 =  $('#item3_%id% .pricecenter_%id%').width();
      var pnlwd3 = $('#item3_%id% .pricewrap_%id%').width();
      if (prcwd3 >= pnlwd3) {var prsz3 = Math.floor(parseInt($('#item3_%id% .price_%id%').css('font-size')) * .8); $('#item3_%id% .price_%id%').css({'font-size': prsz3 + 'px'})}
      var currwd4 = $('#item4_%id% .currency_%id%').width();
      var prwd4 = $('#item4_%id% .price_%id%').width();
      $('#item4_%id% .pricecenter_%id%').css({'width': (currwd4 + prwd4 + 2 + cr) + 'px'});
      var prcwd4 =  $('#item4_%id% .pricecenter_%id%').width();
      var pnlwd4 = $('#item4_%id% .pricewrap_%id%').width();
      if (prcwd4 >= pnlwd4) {var prsz4 = Math.floor(parseInt($('#item4_%id% .price_%id%').css('font-size')) * .8); $('#item4_%id% .price_%id%').css({'font-size': prsz4 + 'px'})}
      /* End all panels pricecenter sizing */
      /* Begin highlight list vert offset */
      var hdrhl = %[if %(%id=cornrad% <= 10)%]%%(%id=cornrad% + 2)%%[else]%%(%id=cornrad% + 5)%%[endif]% + mbr - 2 - 10 - ($('.highlight%id=highlight%_%id% ul li.itemheader_%id%').outerHeight() - $('#item0_%id% ul li.itemheader_%id%').outerHeight());
      $('#marqueewrapper_%id%').after('<div style="padding-top: 20px; font-size: 1.5em; color:red; line-height: 110%; text-align:center;">Marquee Demo Version</div>');
      $('.highlight%id=highlight%_%id% ul li.itemheader_%id%').css({'margin-bottom': hdrhl + 'px'});
      /* End highlight list vert offset */ 
      /* Begin centering of more info button */
      var mrinfwd = $('.highlight%id=highlight%_%id% ul li.moreinfo%id=highlight%_%id%').outerWidth();
      var mrpnwd = $('#item%id=highlight%_%id%.highlight%id=highlight%_%id%').width();
      var mrmrt = (mrpnwd - (mrinfwd + 2)) / 2;
      $('.highlight%id=highlight%_%id% ul li.moreinfo%id=highlight%_%id%').css({'margin-right': mrmrt + 'px'});
      /* End centering of more info button */
      /* Begin Sliding Info panel */
      if ("%id=enableinfo%" == "Yes") {
        var mqpt = %(%[if %(%id=cornrad% <= 10)%]%%(%id=cornrad% + 2)%%[else]%%(%id=cornrad% + 5)%%[endif]% + %id=bordwd%)% + 45 - %id=bordwd%;
        if ("%id=moveprpanel%" == "Yes" || "%id=enableimg%" == "block") {mqpt = %(%[if %(%id=cornrad% <= 10)%]%%(%id=cornrad% + 2)%%[else]%%(%id=cornrad% + 5)%%[endif]% + %id=bordwd%)%}
        $('#marqueewrapper_%id%').css({'padding-top': mqpt + 'px'});
        var rclick = 'true';
        var myclicks = 'true';
        var mbr = parseInt($('#item0_%id%').css('border-left-width'),10);
        var iwd = outwd0 + outwd1 + outwd2 + outwd3 + outwd4 - (2 * mbr);
        var ifhlht = $('.highlight%id=highlight%_%id% ul li.moreinfo%id=highlight%_%id%').outerHeight(true) + 4;
        var mland = 0;
        var ipad = 0;
        if (isMobile() && dwidth > 640 && dratio != 1) {mland = Math.round(%id=bordwd% * .5) + 4}
        if (isMobile() && dwidth > 640 && dratio == 1) {mland = %id=bordwd% + 4}
        if (isMobile() && dratio == 1 && dwidth >= 768) {ipad = 10}
        if (isMobile() && dratio != 1 && dwidth == 1536) {ipad = 10}
        if (%id=expandfix% <= 0) {var infpt = ifhlht + mbr + %[if %(%id=cornrad% <= 10)%]%2%[else]%5%[endif]% - %id=expandfix% + 2 - mland + ipad + %id=expandtopfix%}  // Works w/ neg expandfix // + 10 + 10
        else {var infpt = ifhlht + mbr + 2 - mland + ipad + %id=expandtopfix%} // + 10 + 10
        $('#info_%id%').css({'width': iwd + 'px', 'padding-top': infpt + 'px'});
        var wrht = $('#marqueewrapper_%id%').parent('.stacks_in').outerHeight() + 1;
        window.marqueewrhtr = wrht;
        var getHidHt = function(element) {
          var tempId = 'tmp-'+Math.floor(Math.random()*99999); /*generating unique temp id */
          $(element).clone()
            .css('position','absolute')
            .css('height','auto').css('width','1000px')
            .appendTo($(element).parent())
            .css('left','-10000em')
            .addClass(tempId).show();
          h = $('.'+tempId).height();
          $('.'+tempId).remove();
          return h}
        $('#i-more_%id%, #txt-more_%id%').click(function() {
          if (myclicks == "true") {
            if ("%id=usebg%" == "No") {
              $('li.infofill%id=highlight%_%id%').slideDown(100);
              $('li[class^="infofill"]').not('li.infofill%id=highlight%_%id%').slideDown(100)}
            if (rclick == "true") {
              var infht = getHidHt('#info_%id%') - infpt + %id=bordwd% + 2;
              window.marqueeinfohtr = infht;
              if (%id=expandfix% < 0) {var wrnht = wrht + window.marqueeinfohtr - mqpt - %id=expandfix% + 1}
              else {var wrnht = wrht + window.marqueeinfohtr - mqpt + %id=expandfix% + 1}}
            if (rclick == "false") {
              if (%id=expandfix% < 0) {wrnht = window.marqueewrhtr + window.marqueeinfohtr - mqpt - %id=expandfix% + 1}
              else {wrnht = window.marqueewrhtr + window.marqueeinfohtr - mqpt + %id=expandfix% + 1}}
            if ($.browser.opera || $.browser.mozilla) {
              if (%id=bordwd% == 0 || %id=bordwd% == 1) {var edj = 15}
              if (%id=bordwd% == 2 || %id=bordwd% == 3) {var edj = 14}
              if (%id=bordwd% == 4 || %id=bordwd% == 5) {var edj = 13}
              if (%id=bordwd% == 6 || %id=bordwd% == 7) {var edj = 12}
              if (%id=bordwd% == 8 || %id=bordwd% == 9) {var edj = 38}
              if (%id=bordwd% == 10 || %id=bordwd% == 11) {var edj = 37}
              if (%id=bordwd% == 12 || %id=bordwd% == 13) {var edj = 24}
              if (%id=bordwd% == 14) {var edj = 23}
              if (%id=bordwd% == 15) {var edj = 35}
              if (%id=bordwd% == 16 || %id=bordwd% == 17) {var edj = 10}
              if (%id=bordwd% == 18) {var edj = 9}
              if (%id=bordwd% == 19) {var edj = 8}
              if (%id=bordwd% == 20) {var edj = -4}
              wrnht = wrnht + Math.floor(.5 * %id=bordwd%) + edj}
            $('#marqueewrapper_%id%').animate({'height': wrnht + 'px'}, 200);
            if (%id=highlight% == 0) {var pnlht = $('#item1_%id%').outerHeight()}
            else {var pnlht = $('#item0_%id%').outerHeight()}
            var itp = 45 - %id=bordwd% + 2 + %[if %(%id=cornrad% <= 10)%]%%(%id=cornrad% + 2)%%[else]%%(%id=cornrad% + 5)%%[endif]% + %id=bordwd% + pnlht - %id=cornrad%;
            if ("%id=moveprpanel%" == "Yes" || "%id=enableimg%" == "block") {itp = %[if %(%id=cornrad% <= 10)%]%%(%id=cornrad% + 2)%%[else]%%(%id=cornrad% + 5)%%[endif]% + %id=bordwd% + pnlht - %id=cornrad%}
            $('#info_%id%').css({'top': itp + 'px'}).slideDown(500);
            /* Begin sliding row banded ht adjust */
            if (rclick == "true") {
              $('#info_%id%').promise().done(function() {
                $('li[class^="mqsrow"]:nth-child(even)').each(function() {
                  var nrwht = $(this).height() - 6;
                  $(this).css({'height': nrwht + 'px'});
                });
              })}  
            /* End sliding row banded ht adjust */ 
            myclicks = 'false'}  
          else {
            $('#info_%id%').slideUp(400);
            if ("%id=usebg%" == "No") {
              $('li[class^="infofill"]').not('li.infofill%id=highlight%_%id%').slideUp(100);
              $('li.infofill%id=highlight%_%id%').slideUp(100)}
            var wrhtc = window.marqueewrhtr - mqpt - 3;
            $('#marqueewrapper_%id%').animate({'height': wrhtc + 'px'});
            rclick = 'false';
            myclicks = 'true';
          }
        });
      }  
      /* End Sliding Info panel */
      /* Begin no image/panel overlap/no slider top fix */
      if ("%id=enableimg%" == "none" && "%id=moveprpanel%" == "No" && "%id=enableinfo%" == "No") {
        var mqhlr = parseInt($('#item%id=highlight%_%id%.highlight%id=highlight%_%id%').css('border-radius'),10);
        var mqwrtfix = mqhlr + 45;
        $('#marqueewrapper_%id%').css({'padding-top': mqwrtfix + 'px'});
      }
      /* End no image/panel overlap/no slider top fix */
      /* Begin Show Img Size */
      if ("%id=enableimg%" == "block" && "%id=showimgsize%" == "block") {
        if ("%id=imgsrctyp%" == "resware") {
          var wsug = $('#item0_%id% ul #itemimg0_%id% img#marquee_reswareimg0_%id%').width();
          var wsugret = wsug * 2;
          var hsug = $('#item0_%id% ul #itemimg0_%id% img#marquee_reswareimg0_%id%').height();
          var hsugret = hsug * 2;
          $('#suggimgsize_%id%').append('<div>' + 'Desktop:' + '<br />' + '<div>'+ wsug + 'px(wd) x ' + hsug + 'px(ht)' + '</div>' + 'Retina:' + '<br />' + '<div>' + wsugret + 'px(wd) x ' + hsugret + 'px(ht)' + '</div>')}
        if ("%id=imgsrctyp%" == "drop") {
          var wsug = $('#item0_%id% ul #itemimg0_%id% img.imageStyle').width();
          var wsugret = wsug * 2;
          var hsug = $('#item0_%id% ul #itemimg0_%id% img.imageStyle').height();
          var hsugret = hsug * 2;
          $('#suggimgsize_%id%').append('<div>' + 'Desktop:' + '<br />' + '<div>'+ wsug + 'px(wd) x ' + hsug + 'px(ht)' + '</div>' + 'Retina:' + '<br />' + '<div>' + wsugret + 'px(wd) x ' + hsugret + 'px(ht)' + '</div>')}
      }
      /* End Show Img Size */
      $('#marqueewrapper_%id%').promise().done(function() {
        $('#marqueewrapper_%id%').css({'display': 'none', 'visibility': 'visible'}).fadeIn(400);
      });  
    }, pause );
  }
  chOrient();
  /* End Responsive settings */
  /* Begin check for orientation/resize change */
  if ("isMobile()" == "false") {$(window).on('resize', function() {window.location.reload(true);})}
  if ("%id=disresize%" == "No") {$(window).on('orientationchange', function() {window.location.reload(true);})}
  /* End check for orientation/resize change */ 
});
$(document).ready(function() {
  /* Begin rgba bg color */
  function hex2rgb($color) {
    var hexStr = $color;
    var hex = parseInt(hexStr.substring(1), 16);
    var $r = (hex & 0xff0000) >> 16;
    var $g = (hex & 0x00ff00) >> 8;
    var $b = hex & 0x0000ff;
    return $r + ', ' + $g + ', ' + $b}
  /* Begin main panels opacity */
  var myrgb = hex2rgb('%id=bgcol%');
  var myopac = parseInt(%id=bgopacie%, 10);
  if (myopac != 100 && myopac != 5) {$('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%, #item4_%id%, #item0_%id% ul li.infofill0_%id%, #item1_%id% ul li.infofill1_%id%, #item2_%id% ul li.infofill2_%id%, #item3_%id% ul li.infofill3_%id%, #item4_%id% ul li.infofill4_%id%').css({'background-color': 'rgba(' + myrgb + ', .' + myopac + ')'})}
  if (myopac == 5) {$('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%, #item4_%id%, #item0_%id% ul li.infofill0_%id%, #item1_%id% ul li.infofill1_%id%, #item2_%id% ul li.infofill2_%id%, #item3_%id% ul li.infofill3_%id%, #item4_%id% ul li.infofill4_%id%').css({'background-color': 'rgba(' + myrgb + ', .05)'})}
  if (myopac == 100) {$('#item0_%id%, #item1_%id%, #item2_%id%, #item3_%id%, #item4_%id%, #item0_%id% ul li.infofill0_%id%, #item1_%id% ul li.infofill1_%id%, #item2_%id% ul li.infofill2_%id%, #item3_%id% ul li.infofill3_%id%, #item4_%id% ul li.infofill4_%id%').css({'background-color': 'rgba(' + myrgb + ', 1.0)'})}
  /* End main panels opacity */
  /* Begin small panels bg opacity */
  var myprrgb = hex2rgb('%id=ttcol%');
  var mypropac = parseInt(%id=prbgopacie%, 10);
  if (mypropac != 100 && mypropac != 5) {$('#item0_%id% ul li.itemheader_%id%, #item1_%id% ul li.itemheader_%id%, #item2_%id% ul li.itemheader_%id%, #item3_%id% ul li.itemheader_%id%, #item4_%id% ul li.itemheader_%id%').css({'background-color': 'rgba(' + myprrgb + ', .' + mypropac + ')'})}
  if (mypropac == 5) {$('#item0_%id% ul li.itemheader_%id%, #item1_%id% ul li.itemheader_%id%, #item2_%id% ul li.itemheader_%id%, #item3_%id% ul li.itemheader_%id%, #item4_%id% ul li.itemheader_%id%').css({'background-color': 'rgba(' + myprrgb + ', .05)'})}
  if (mypropac == 100) {$('#item0_%id% ul li.itemheader_%id%, #item1_%id% ul li.itemheader_%id%, #item2_%id% ul li.itemheader_%id%, #item3_%id% ul li.itemheader_%id%, #item4_%id% ul li.itemheader_%id%').css({'background-color': 'rgba(' + myprrgb + ', 1.0)'})}
  /* End small panels bg opacity */
  /* Begin price panels opacity */
  var myptcrgb = hex2rgb('%id=topcol%');
  var mypbcrgb = hex2rgb('%id=botcol%');
  if (mypropac != 100 && mypropac != 5) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-khtml-gradient(linear, left top, left bottom, from(rgba(' + myptcrgb + ', .' + mypropac + ')), to(rgba(' + mypbcrgb + ', .' + mypropac + ')))', 'background': '-moz-linear-gradient(top, rgba(' + myptcrgb + ', .' + mypropac + ') 0%, rgba(' + mypbcrgb + ', .' + mypropac + ') 100%)', 'background': '-ms-linear-gradient(top, rgba(' + myptcrgb + ', .' + mypropac + ') 0%, rgba(' + mypbcrgb + ', .' + mypropac + ') 100%)', 'background': '-o-linear-gradient(top, rgba(' + myptcrgb + ', .' + mypropac + ') 0%, rgba(' + mypbcrgb + ', .' + mypropac + ') 100%)', 'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', .' + mypropac + ')), color-stop(100%, rgba(' + mypbcrgb + ', .' + mypropac + ')))', 'background': '-webkit-linear-gradient(rgba(' + myptcrgb + ', .' + mypropac + '), rgba(' + mypbcrgb + ', .' + mypropac + '))', 'background': 'linear-gradient(to bottom, rgba(' + myptcrgb + ', .' + mypropac + ') 0%, rgba(' + mypbcrgb + ', .' + mypropac + ') 100%)'});
    if ($.browser.webkit) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', .' + mypropac + ')), color-stop(100%, rgba(' + mypbcrgb + ', .' + mypropac + ')))', 'background': '-webkit-linear-gradient(rgba(' + myptcrgb + ', .' + mypropac + '), rgba(' + mypbcrgb + ', .' + mypropac + '))'})}
    $('#item0_%id% ul li.itemheader_%id% .name_%id%, #item1_%id% ul li.itemheader_%id% .name_%id%, #item2_%id% ul li.itemheader_%id% .name_%id%, #item3_%id% ul li.itemheader_%id% .name_%id%, #item4_%id% ul li.itemheader_%id% .name_%id%').css({'border-bottom': '1px solid rgba(' + myptcrgb + ', .' + (mypropac + 10) + ')'});
    $('#item0_%id% ul li.itemheader_%id% .pricebotshadow_%id%, #item1_%id% ul li.itemheader_%id% .pricebotshadow_%id%, #item2_%id% ul li.itemheader_%id% .pricebotshadow_%id%, #item3_%id% ul li.itemheader_%id% .pricebotshadow_%id%, #item4_%id% ul li.itemheader_%id% .pricebotshadow_%id%').css({'background-color': 'rgba(' + mypbcrgb + ', .' + (mypropac + 15) + ')'})}
  if (mypropac == 5) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-khtml-gradient(linear, left top, left bottom, from(rgba(' + myptcrgb + ', .05)), to(rgba(' + mypbcrgb + ', .05)))', 'background': '-moz-linear-gradient(top, rgba(' + myptcrgb + ', .05) 0%, rgba(' + mypbcrgb + ', .05) 100%)', 'background': '-ms-linear-gradient(top, rgba(' + myptcrgb + ', .05) 0%, rgba(' + mypbcrgb + ', .05) 100%)', 'background': '-o-linear-gradient(top, rgba(' + myptcrgb + ', .05) 0%, rgba(' + mypbcrgb + ', .05) 100%)', 'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', .05)), color-stop(100%, rgba(' + mypbcrgb + ', .05)))', 'background': '-webkit-linear-gradient(rgba(' + myptcrgb + ', .05), rgba(' + mypbcrgb + ', .05))', 'background': 'linear-gradient(to bottom, rgba(' + myptcrgb + ', .05) 0%, rgba(' + mypbcrgb + ', .05) 100%)'});
    if ($.browser.webkit) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', .05)), color-stop(100%, rgba(' + mypbcrgb + ', .05)))', 'background': '-webkit-linear-gradient(rgba(' + myptcrgb + ', .05), rgba(' + mypbcrgb + ', .05))'})}}
  if (mypropac == 100) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-khtml-gradient(linear, left top, left bottom, from(rgba(' + myptcrgb + ', 1.0)), to(rgba(' + mypbcrgb + ', 1.0)))', 'background': '-moz-linear-gradient(top, rgba(' + myptcrgb + ', 1.0) 0%, rgba(' + mypbcrgb + ', 1.0) 100%)', 'background': '-ms-linear-gradient(top, rgba(' + myptcrgb + ', 1.0) 0%, rgba(' + mypbcrgb + ', 1.0) 100%)', 'background-image': '-o-linear-gradient(top, rgba(' + myptcrgb + ', 1.0) 0%, rgba(' + mypbcrgb + ', 1.0) 100%)', 'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', 1.0)), color-stop(100%, rgba(' + mypbcrgb + ', 1.0)))', 'background': '-webkit-linear-gradient(top, rgba(' + myptcrgb + ', 1.0), rgba(' + mypbcrgb + ', 1.0))', 'background': 'linear-gradient(to bottom, rgba(' + myptcrgb + ', 1.0) 0%, rgba(' + mypbcrgb + ', 1.0) 100%)'});
    if ($.browser.webkit) {$('#item0_%id% ul li.itemheader_%id% .pricewrap_%id%, #item1_%id% ul li.itemheader_%id% .pricewrap_%id%, #item2_%id% ul li.itemheader_%id% .pricewrap_%id%, #item3_%id% ul li.itemheader_%id% .pricewrap_%id%, #item4_%id% ul li.itemheader_%id% .pricewrap_%id%').css({'background': '-webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(' + myptcrgb + ', 1.0)), color-stop(100%, rgba(' + mypbcrgb + ', 1.0)))', 'background': '-webkit-linear-gradient(rgba(' + myptcrgb + ', 1.0), rgba(' + mypbcrgb + ', 1.0))'})}}
  /* End price panels opacity */
  /* Begin info panels opacity */
  var myinforgb = hex2rgb('%id=infocol%');
  var myinfoopac = parseInt(%id=infobgopacie%, 10);
  if (myinfoopac != 100 && myinfoopac != 5) {$('#info_%id%').css({'background-color': 'rgba(' + myinforgb + ', .' + myinfoopac + ')'})}
  if (myinfoopac == 5) {$('#info_%id%').css({'background-color': 'rgba(' + myinforgb + ', .05)'})}
  if (myinfoopac == 100) {$('#info_%id%').css({'background-color': 'rgba(' + myinforgb + ', 1.0)'})}
  /* End info panels opacity */
  /* End rgba bg color */
});
/* End Marquee Demo Stack */