/**  Marquee Sliding Info Demo Stack v1.3.0 by Stack-Its  last update: 4.2015
*/
/* jQuery Browser - v0.1.0 - 3/23/2012
* https://github.com/jquery/jquery-browser
* Copyright (c) 2012 John Resig; Licensed MIT
*/
(function($) {
  var matched,
  userAgent = navigator.userAgent || "";
  // More details: http://api.jquery.com/jQuery.browser
  // jQuery.uaMatch maintained for back-compat
  $.uaMatch = function( ua ) {
    ua = ua.toLowerCase();
    var match = /(chrome)[ \/]([\w.]+)/.exec( ua ) ||
      /(webkit)[ \/]([\w.]+)/.exec( ua ) ||
      /(opera)(?:.*version)?[ \/]([\w.]+)/.exec( ua ) ||
      /(msie) ([\w.]+)/.exec( ua ) ||
      ua.indexOf("compatible") < 0 && /(mozilla)(?:.*? rv:([\w.]+))?/.exec( ua ) ||
      [];
    return {
      browser: match[ 1 ] || "",
      version: match[ 2 ] || "0"};
  };
  matched = $.uaMatch( userAgent );
  $.browser = {};
  if ( matched.browser ) {
    $.browser[ matched.browser ] = true;
    $.browser.version = matched.version}
  // Deprecated, use jQuery.browser.webkit instead  Maintained for back-compatibility only
  if ( $.browser.webkit ) {
    $.browser.safari = true}
}(jQuery));
/* End jQuery Browser */
$(window).load(function() {
  if ("%id=infogroups%" == "1") {$('div[class^="mqsinfo1"], div[class^="mqsinfo2"], div[class^="mqsinfo3"], div[class^="mqsinfo4"]').remove()}
  if ("%id=infogroups%" == "2") {$('div[class^="mqsinfo2"], div[class^="mqsinfo3"], div[class^="mqsinfo4"]').remove()}
  if ("%id=infogroups%" == "3") {$('div[class^="mqsinfo3"], div[class^="mqsinfo4"]').remove()}
  if ("%id=infogroups%" == "4") {$('div[class^="mqsinfo4"]').remove()}
  var dwidth = window.orientation == 0 ? window.screen.width : window.screen.height; // for iOS
  if ($.browser.msie) {var dwidth = window.screen.width}  // for IE Desktop
  var dratio = window.devicePixelRatio;
  if ($.browser.msie) {var dratio = 1}
  dwidth = dwidth * dratio;
  if (navigator.userAgent.indexOf('Android') >= 0 && window.devicePixelRatio) {dwidth = screen.width} // for Android
  if (dwidth <= 640) {$('[class^="mqsinfo"]').css({'padding-left': '7px', 'padding-right': '7px'})}
});    
$(document).ready(function() {
  $(window).on('orientationchange', function() {$('[class^="mqsinfo"]').css({'padding-left': '15px', 'padding-right': '15px'})});
  /* Begin last line border removal */
  $('.mqsborder_%id%:last').css({'border-top-color': 'transparent', 'border-bottom-color': 'transparent'});
  /* End last line border removal */
  /* Begin font awesome icon generation */
  function faicon() {
  $('div[class^="mqsinfo"]').each(function() {
    var str = $(this).text();
    if (str.indexOf('@') > -1) { /* Has font awesome character */
      window.mqsliding_fack = 1;
      if (!Array.prototype.indexOf) { /* Patch for indexOf in <IE9 */
        Array.prototype.indexOf = function (elt /*, from*/) {
          var len = this.length >>> 0;
          var from = Number(arguments[1]) || 0;
          from = (from < 0) ? Math.ceil(from) : Math.floor(from);
          if (from < 0) from += len;
          for (; from < len; from++) {if (from in this && this[from] === elt) return from;}
          return -1;
        };
      }
      var fa = str.substr(str.indexOf('@') + 1).split(' ').join('').replace(/(\r\n|\n|\r)/gm,""); /* font awesome key value */
      var txtstr = $.trim(str.substring(0, str.indexOf('@')).replace(/(\r\n|\n|\r)/gm,"")); /* orig text w/o fa key, line returns or beg/end spaces */
      if (fa == "check") {$(this).html(function() {return txtstr + '<i class="icon-ok icon-2x"></i>'})}
      if (fa == "x") {$(this).html(function() {return txtstr + '<i class="icon-remove icon-2x"></i>'})}
      if (fa == "up") {$(this).html(function() {return txtstr + '<i class="icon-thumbs-up icon-2x"></i>'})}
      if (fa == "down") {$(this).html(function() {return txtstr + '<i class="icon-thumbs-down icon-2x"></i>'})}
      if (fa == "checksolid") {$(this).html(function() {return txtstr + '<i class="icon-ok-sign icon-2x"></i>'})}
      if (fa == "minussolid") {$(this).html(function() {return txtstr + '<i class="icon-minus-sign icon-2x"></i>'})}
      if (fa == "smile") {$(this).html(function() {return txtstr + '<i class="icon-smile icon-2x"></i>'})}
      if (fa == "frown") {$(this).html(function() {return txtstr + '<i class="icon-frown icon-2x"></i>'})}
      if (fa == "checksign") {$(this).html(function() {return txtstr + '<i class="icon-check-sign icon-2x"></i>'})}
      if (fa == "minussign") {$(this).html(function() {return txtstr + '<i class="icon-minus-sign-alt icon-2x"></i>'})}
      if (fa == "checkcircle") {$(this).html(function() {return txtstr + '<i class="icon-ok-circle icon-2x"></i>'})}
      if (fa == "minuscircle") {$(this).html(function() {return txtstr + '<span class="icon-stack"><i class="icon-circle-blank icon-stack-base icon-2x"></i><i class="icon-minus icon-2x"></i></span>'})}
      if (fa == "xcircle") {$(this).html(function() {return txtstr + '<i class="icon-remove-circle icon-2x"></i>'})}
      if (fa == "plus") {$(this).html(function() {return txtstr + '<i class="icon-plus icon-2x"></i>'})}
      if (fa == "minus") {$(this).html(function() {return txtstr + '<i class="icon-minus icon-2x"></i>'})}
      if (txtstr != '') {$(this).children('i[class^="icon-"]').css({'margin-left': '5px'})}
    }
    else { /* No font awesome character */
      /* Begin plain text align fix */
      var iht = parseInt($(this).css('line-height'));
      var tht =  iht * 2;
      if (window.mqstxtck != 1) {
        if (fa == null || fa == "undefined") {$(this).css({'line-height': tht + 'px'}); window.mqstxtck = 1}
      }
      /* End plain text align fix */
    }
  });
  }
  /* End font awesome icon generation */
  /* Begin sliding panel align */
  if (window.mqsalignck != 1) {
  $('li[class^="moreinfo"]').on('click', function() {
    var infowr = $('div[id^="info_stacks"]').width();
    var infobd = parseInt($('div[id^="info_stacks"]').css('border-left-width'));
    faicon();
    var infop = infobd + 15;
    if (window.mqdwidth <= 640) {infop = infobd + 7}
    if ("%id=infogroups%" == "2") {
      var info0wd = Math.floor(infowr - (2 * infobd)) / 2 - 30;
      if (window.mqdwidth <= 640) {info0wd = Math.floor(infowr - (2 * infobd)) / 2 - 14}
      $('div[class^="mqsinfo0"]').css({'width': info0wd + 'px', 'padding-right': infop + 'px'});
      $('div[class^="mqsinfo1"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px'})}
    if ("%id=infogroups%" == "3") {
      var info0wd = Math.floor(infowr - (4 * infobd)) / 3 - 30;
      if (window.mqdwidth <= 640) {info0wd = Math.floor(infowr - (4 * infobd)) / 3 - 14}
      $('div[class^="mqsinfo0"]').css({'width': info0wd + 'px', 'padding-right': infop + 'px'}); /* First */
      $('div[class^="mqsinfo2"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px'}); /* Last */
      $('div[class^="mqsinfo1"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px', 'padding-right': infop + 'px'})}
    if ("%id=infogroups%" == "4") {
      var info0wd = Math.floor(infowr - (6 * infobd)) / 4 - 30;
      if (window.mqdwidth <= 640) {info0wd = Math.floor(infowr - (6 * infobd)) / 4 - 14}
      $('div[class^="mqsinfo0"]').css({'width': info0wd + 'px', 'padding-right': infop + 'px'}); /* First */
      $('div[class^="mqsinfo3"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px'}); /* Last */
      $('div[class^="mqsinfo1"], div[class^="mqsinfo2"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px', 'padding-right': infop + 'px'})}
    if ("%id=infogroups%" == "5") {
      var info0wd = Math.floor(infowr - (8 * infobd)) / 5 - 30;
      if (window.mqdwidth <= 640) {info0wd = Math.floor(infowr - (8 * infobd)) / 5 - 14}
      $('div[class^="mqsinfo0"]').css({'width': info0wd + 'px', 'padding-right': infop + 'px'}); /* First */
      $('div[class^="mqsinfo4"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px'}); /* Last */
      $('div[class^="mqsinfo1"], div[class^="mqsinfo2"], div[class^="mqsinfo3"]').css({'width': info0wd + 'px', 'padding-left': infop + 'px', 'padding-right': infop + 'px'})}  
    window.mqsalignck = 1;
  });
  }
  /* End sliding panel align */
});
/* End Marquee Sliding Info Demo Stack */